[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DbCtrls' (#lcl)

# TDBCheckBox.ReadOnly

ReadOnly - if True, data may be read but not written or modified (doesn't make much sense for a check-box unless the box is NOT Enabled!)

## Declaration

Source position: dbctrls.pp line 609

`published property TDBCheckBox.ReadOnly: Boolean read GetReadOnly write SetReadOnly default false;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.